body.vs-code-dark .stream-class option img {
    height: 50px;
    width: 50px;
    background-image: url(../images/flow_all_white.svg);
    background-repeat: no-repeat;
    background-size: contain;
}


.img-src {
    height: 500px;
    width: 500px;
    background-image: url(../images/flow_all_white.svg);
    background-repeat: no-repeat;
    background-size: contain;
}

.svg-src {
    height: 100px;
    width: 100px;
}

html {
    height: 100%;
}

body {
    height: 100%;
    display: flex;
    flex-direction: column;
}

#container {
    flex: 1;
    display: flex;
    flex-direction: row;
    overflow: hidden;
}

.wrapper {
    overflow: auto;
}
#stencil {
    width: 90px;
}
#paper {
    border-left: 1px solid var(--vscode-editor-foreground);
    min-width: 100%;
    min-height: 100%;
    background-color: var(--vscode-editor-background);
}

#stencil, #flyPaper {
    background-color: var(--vscode-editor-background);
}

#stencil g, #paper g, #flyPaper {
    background-color: var(--vscode-editor-background);
}

#paper g[data-type="standard.Link"] path:not([stroke="transparent"]){
    stroke: var(--vscode-editor-foreground);
}

#flyPaper g text, #stencil g text, #paper g text {
    fill: var(--vscode-editor-foreground);
}

#flyPaper g *[joint-selector="background"], #stencil g *[joint-selector="background"], #paper g *[joint-selector="background"] {
    fill: var(--vscode-editor-background);
}

#paper g [port] {
    fill: var(--vscode-editor-background);
    stroke: var(--vscode-editor-foreground);
}

#flyPaper g ellipse[fill="none"][stroke]:not([port]), #stencil g ellipse[fill="none"][stroke]:not([port]), #paper g ellipse[fill="none"][stroke]:not([port]) {
    stroke: var(--vscode-editor-foreground);
}

#paper g circle:not([fill="none"])[stroke]:not([port]) {
    fill: var(--vscode-editor-foreground);
    stroke: var(--vscode-editor-foreground);
}

.overflow {
    position: fixed;
    display: none;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: rgba(0,0,0,0.5);
    align-items: center;
    justify-content: center;
}

.overflow .card {
    display: none;
}

.overflow .card.active {
    display: flex;
    flex-direction: column;
}

.overflow.active {
    display: flex;
}

.card {
    height: 40vw;
    width: 40vw;
    min-height: 300px;
    min-width: 300px;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: center;
}

.card-wrapper {
    padding: 8vw;
    border: 1px double var(--vscode-editor-foreground);
    border-radius: 50%;
    background-color: var( --vscode-editor-background);
    color: var( --vscode-editor-foreground);
}

.card-body {
    overflow: auto;
    flex: 1;
    flex-direction: column;
}

.card-body * {
    margin: 8px 0px;
}

.card button, .card select, .card input {
    border-radius: 2em;
    margin: 0px 4px;
}

.card button {
    background-color: var(--vscode-button-background);
    color: var(--vscode-button-foreground);
}

.card select, .card input {
    background-color: var(--vscode-input-background);
    color: var(--vscode-input-foreground);
}

.card input[type="checkbox"] {
    background-color: var(--vscode-checkbox-background);
    border-color: var(--vscode-checkbox-border);
    color: var(--vscod-checkbox-foreground);
}
.card .note {
    font-size: 0.8em;
    color: var(--vscode-editorHint-foreground);
}

.card .code {
    color: var(--vscode-editorLightBulb-foreground);
    padding: 8px;
    font-family: var(--vscode-editor-font-family);
}

.card .code-block {
    border-radius: 2em;
    border: 1px solid var(--vscode-editorLightBulb-foreground);
}

.card .card-title, .card .card-body, .card .card-action, .card .card-menu {
    padding: 16px;
    display: flex;
}

.card .card-title, .card .card-action, .card .card-menu {
    flex-direction: row;
}

.card .menu-body {
    display: none;
}

.card .menu-body.active {
    display: block;
}

.card .card-title, .card .card-menu {
    font-size: 1.5em;
    font-weight: 700;
    border-bottom: 1px solid var(--vscode-editor-foreground);
    justify-content: space-around;
}

.card .card-action {
    border-top: 1px solid var(--vscode-editor-foreground);
    justify-content: flex-end;
}

.card .option_view_div, .card .option_edit_div {
    display: none;
}

.card .option_view_div.active, .card .option_edit_div.active {
    display: block;
}

.card .error {
    color: var(--vscode-errorForeground)
}

.card .error > *:first-child {
    border-top: 1px solid var(--vscode-editor-foreground);
}